Subject: bug#67150: eglot with typescript language server >= 4.1.0

From: Simon Pugnet <[email-masked]>
Date: Wed, 15 Nov 2023 09:51:19 +0000

> Thanks.  In the meantime I asked the server author some questions and
> it seems the change has been rolled back, with the server accepting 
> the old language-ids again.  But I've pushed the change to eglot.el
> anyway.  I think this bug can be closed, but let me know if you 
> disagree.

I'm not sure if this fix is correct. In the documentation for
`eglot-server-programs' it says: -

* A list (MAJOR-MODE-SYMBOL :LANGUAGE-ID ID) where
  MAJOR-MODE-SYMBOL is the aforementioned symbol and ID is a
  string identifying the language to the server;

However the commit 260ba357bbe3e6faaadb20d998107c11fab40aa5 sets the
`:language-id' to symbols. So I think these should be strings instead,
e.g. "javascript".

Kind regards,

Simon